export interface ReadRequestPayload<Data> {
    value?: Data;
    done: boolean;
}
export declare class ReadRequest<Data> {
    private state;
    constructor();
    get promise(): Promise<ReadRequestPayload<Data>>;
    chunk(value: Data): void;
    close(): void;
    error(error: Error): void;
}
